Kerbal Space Program - Bug #5981

Contextual contract using existing craft requires parts it doesn't have
11/21/2015 11:09 PM - Thrawcheld

Status: Needs Clarification Start date: 11/21/2015
Severity: Low % Done: 0%
Assignee:
Category:
Target version:
Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No

Expansion:

Description

| just completed a contract to redirect an asteroid into orbit of the Mun, then got a contract to put the redirection spacecraft in a
specific orbit of Kerbin. Presumably this is one of the "contextual contracts" mentioned in 1.0.5 patch notes (steam version, build
1028). The contract was easy enough, except that even though it uses an existing craft, it requires that the craft has power and an
antenna, like a "new probe" contract. My redirection craft had no need for an antenna, so it didn't get one. Since there's no way to
retrofit one, | can't complete this contract.

Screenshot shows the craft almost in the target orbit (adjusted to avoid a Mun encounter), and the contract in question.

History

#1 - 11/22/2015 07:16 PM - sal_vager

Hi Thrawcheld, can you please attach the save file concerned, it would be very useful as the sfs contains all the contract info.

#2 - 11/23/2015 03:40 PM - Squelch

- Status changed from New to Need More Info

#3 - 11/23/2015 10:59 PM - Thrawcheld
- File BLAHBUGZ2.zip added
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

| had to redo the mission and throw away a lot of contracts, but | managed to find one that requires this craft and an antenna.

The third available (not accepted) contract in the save is "Position Asteroid Redirector Class B in an adjusted orbit of the Mun" from Maxo
Construction Toys. Asteroid Redirector Class B is currently attached to its asteroid and in orbit of the Mun. It doesn't have an antenna.

#4 - 07/17/2016 09:41 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

Files
2015-11-21_00001.jpg 223 KB 11/21/2015 Thrawcheld
BLAHBUG2.zip 4.68 MB 11/23/2015 Thrawcheld
